=== debian/control ===
Source: kernel-patch-2.4.17-s390
Section: devel
Priority: extra
Maintainer: Arnd Bergmann <arnd@debian.org>
Build-Depends-Indep: debhelper (>= 3.0.51), patch (>= 2.5.4-6), dh-kpatches (>= 0.7), kernel-source-2.4.17 (= 2.4.17-1woody4)
Standards-Version: 3.5.6

Package: kernel-patch-2.4.17-s390
Architecture: all
Recommends: kernel-source-2.4.17, kernel-package
Description: Diffs to the Linux kernel source 2.4.17 for IBM S/390
 Patches for the Linux kernel from IBM's developer works for the S/390
 architecture.
 This package includes the following patches released by IBM for the
 Linux kernel version 2.4.17:
  * linux-2.4.17-s390.tar.gz           (released on 2002.02.05)
  * linux-2.4.17-s390-1-lcs.tar.gz     (released on 2002.03.04)
  * linux-2.4.17-s390-2.tar.gz         (released on 2002.04.15)
  * linux-2.4.17-s390-3.tar.gz         (released on 2002.06.12)
  * linux-2.4.17-s390-4-iucv.tar.gz    (released on 2002.08.16)
 Additionally it includes
  * a patch by Gerhard Tonn <gt@debian.org> which adds support for a
    second initrd (needed by the s390 boot-floppies);
  * the cpint-patch by Neal Ferguson which allows to invoke CP commands
    from Linux;
  * the cmsfs-patch by Rick Troth <rtroth@bmc.com> which enables read
    only access to CMS disks.
